<xml></xml>

Collapse AllExpand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironment..::.RemoveDB Method (String, Boolean)
DatabaseEnvironment Class See Also Send Feedback

Remove the underlying file represented by file, incidentally removing all of the databases it contained.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public void RemoveDB(
    	string file,
    	bool autoCommit
    )

Visual Basic (Declaration)

    Public Sub RemoveDB ( _
    	file As String, _
    	autoCommit As Boolean _
    )

Visual C++

    public:
    void RemoveDB(
    	String^ file,
    	bool autoCommit
    )

#### Parameters

file
  Type: System..::.String
  The physical file to be removed.

autoCommit
  Type: System..::.Boolean
  If true, enclose RemoveDB within a transaction. If the call succeeds, changes made by the operation will be recoverable. If the call fails, the operation will have made no changes.

# See Also

DatabaseEnvironment Class
RemoveDB Overload
BerkeleyDB Namespace